# Uses of Class
com.fasterxml.jackson.core.StreamWriteConstraints

Packages that use StreamWriteConstraints
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.io
com.fasterxml.jackson.core.json
JSON-specific parser and generator implementation classes that Jackson defines and uses.
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of StreamWriteConstraints in com.fasterxml.jackson.core

Fields in com.fasterxml.jackson.core declared as StreamWriteConstraints
Modifier and Type
Field
Description
`protected StreamWriteConstraints`
JsonFactory.`_streamWriteConstraints`
Write constraints to use for `JsonGenerator`s constructed using this factory.
`protected StreamWriteConstraints`
TSFBuilder.`_streamWriteConstraints`
`StreamWriteConstraints` to use.
Methods in com.fasterxml.jackson.core that return StreamWriteConstraints
Modifier and Type
Method
Description
`StreamWriteConstraints`
StreamWriteConstraints.Builder.`build()`
`static StreamWriteConstraints`
StreamWriteConstraints.`defaults()`
`StreamWriteConstraints`
JsonFactory.`streamWriteConstraints()`
`StreamWriteConstraints`
JsonGenerator.`streamWriteConstraints()`
Get the constraints to apply when performing streaming writes.
`abstract StreamWriteConstraints`
TokenStreamFactory.`streamWriteConstraints()`
Get the constraints to apply when performing streaming writes.
Methods in com.fasterxml.jackson.core with parameters of type StreamWriteConstraints
Modifier and Type
Method
Description
`static void`
StreamWriteConstraints.`overrideDefaultStreamWriteConstraints(StreamWriteConstraints streamWriteConstraints)`
Override the default StreamWriteConstraints.
`JsonFactory`
JsonFactory.`setStreamWriteConstraints(StreamWriteConstraints swc)`
Method for overriding `StreamWriteConstraints` defined for this factory.
`B`
TSFBuilder.`streamWriteConstraints(StreamWriteConstraints streamWriteConstraints)`
Sets the constraints for streaming writes.

## Uses of StreamWriteConstraints in com.fasterxml.jackson.core.io

Fields in com.fasterxml.jackson.core.io declared as StreamWriteConstraints
Modifier and Type
Field
Description
`protected final StreamWriteConstraints`
IOContext.`_streamWriteConstraints`
Methods in com.fasterxml.jackson.core.io that return StreamWriteConstraints
Modifier and Type
Method
Description
`StreamWriteConstraints`
IOContext.`streamWriteConstraints()`
Constructors in com.fasterxml.jackson.core.io with parameters of type StreamWriteConstraints
Modifier
Constructor
Description
``
`IOContext(StreamReadConstraints src, StreamWriteConstraints swc, ErrorReportConfiguration erc, BufferRecycler br, ContentReference contentRef, boolean managedResource)`
Main constructor to use.

## Uses of StreamWriteConstraints in com.fasterxml.jackson.core.json

Fields in com.fasterxml.jackson.core.json declared as StreamWriteConstraints
Modifier and Type
Field
Description
`protected final StreamWriteConstraints`
JsonGeneratorImpl.`_streamWriteConstraints`
Methods in com.fasterxml.jackson.core.json that return StreamWriteConstraints
Modifier and Type
Method
Description
`StreamWriteConstraints`
JsonGeneratorImpl.`streamWriteConstraints()`

## Uses of StreamWriteConstraints in com.fasterxml.jackson.core.util

Methods in com.fasterxml.jackson.core.util that return StreamWriteConstraints
Modifier and Type
Method
Description
`StreamWriteConstraints`
JsonGeneratorDelegate.`streamWriteConstraints()`